Commit 33bff17b authored by Michele Tartara's avatar Michele Tartara
Browse files

Version bump to 2.8.0~alpha1



Now that alpha versions are supported, we can bump the version number
for branch stable-2.8 to 2.8.

This also requires updating the cfgupgrade tool.

Thanks to the previous patches, all the other documents can be upgraded
during the alpha lifetime, before switching to beta (that will enable
the version number checks).
Signed-off-by: default avatarMichele Tartara <mtartara@google.com>
Reviewed-by: default avatarGuido Trotter <ultrotter@google.com>
parent f2e4363c
# Configure script for Ganeti
m4_define([gnt_version_major], [2])
m4_define([gnt_version_minor], [7])
m4_define([gnt_version_minor], [8])
m4_define([gnt_version_revision], [0])
m4_define([gnt_version_suffix], [~rc2])
m4_define([gnt_version_suffix], [~alpha1])
m4_define([gnt_version_full],
m4_format([%d.%d.%d%s],
gnt_version_major, gnt_version_minor,
......
......@@ -52,7 +52,7 @@ args = None
#: Target major version we will upgrade to
TARGET_MAJOR = 2
#: Target minor version we will upgrade to
TARGET_MINOR = 7
TARGET_MINOR = 8
#: Target major version for downgrade
DOWNGRADE_MAJOR = 2
#: Target minor version for downgrade
......@@ -446,8 +446,8 @@ def main():
config_minor, config_revision))
DowngradeAll(config_data)
# Upgrade from 2.{0..7} to 2.7
elif config_major == 2 and config_minor in range(0, 8):
# Upgrade from 2.{0..7} to 2.8
elif config_major == 2 and config_minor in range(0, 9):
if config_revision != 0:
logging.warning("Config revision is %s, not 0", config_revision)
UpgradeAll(config_data)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment